function fig = fvtBPgui()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load fvtBPgui

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'FileName','C:\matlabr11\work\fvt\BatchProcessor\fvtBPgui.m', ...
	'Name','Batch Processor', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[0.40546875 0.2822265625000001 0.4375000000000001 0.4101562499999999], ...
	'Tag','Fig1', ...
	'ToolBar','none', ...
	'UserData',mat1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
   'FontSize',0.03782505910165485, ...
   'Max',2, ...
	'Position',[0.6946428571428573 0.1285714285714286 0.275 0.6476190476190477], ...
	'String',mat2, ...
	'Style','listbox', ...
	'Tag','AlgoListbox', ...
	'Value',4);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','DirListbox_Callback', ...
	'FontSize',0.03782505910165485, ...
	'Position',[0.08750000000000002 0.130952380952381 0.2875 0.6476190476190477], ...
	'String',mat3, ...
	'Style','listbox', ...
	'Tag','DirListbox', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','Execute_Callback', ...
	'FontSize',0.4341085271317829, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',mat4, ...
	'String','Execute', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','Help_Callback', ...
	'FontSize',0.4444444444444444, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.4607142857142857 0.3380952380952381 0.1357142857142857 0.0761904761904762], ...
	'String','Help', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','closereq', ...
	'FontSize',0.4444444444444444, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','Quit', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',0.5161290322580645, ...
	'ListboxTop',0, ...
	'Position',[0.07857142857142858 0.7928571428571428 0.2910714285714286 0.05], ...
	'String','', ...
	'Style','text', ...
	'Tag','DirText');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.5333333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.692857142857143 0.769047619047619 0.2375 0.04761904761904762], ...
	'String','Select Algorithms:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.5925925925925927, ...
	'ListboxTop',0, ...
	'Position',[0.08750000000000002 0.842857142857143 0.2285714285714286 0.04047619047619048], ...
	'String','directory:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.5442176870748299, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.3214285714285715 0.8738095238095239 0.425 0.09285714285714286], ...
	'String','Batch Processor', ...
	'Style','text', ...
	'Tag','StaticText3');
if nargout > 0, fig = h0; end

h=gcf;
edith=findobj(h,'Tag','DirText');
set(edith,'String',pwd)